Summary: The GNU versions of find utilities (find, xargs, and locate).
Name: findutils
Version: 4.1.1
Release: 6mdk
Copyright: GPL
Group: File tools
Source0: ftp://ftp.gnu.org/pub/gnu/findutils-%{version}.tar.bz2
Source1: updatedb.cron
Patch0: findutils-4.1.1-fsttnd-patch.bz2
Patch1: findutils-4.1-getshort.patch.bz2
Patch2: findutils-4.1.1-numblks.patch.bz2
Patch3: findutils-gcc295.patch.bz2
#Patch4: findutils-Makefile.in.patch.bz2
Prereq: /sbin/install-info
## easy kludge
%ifarch alpha
BuildRequires: egcs
%endif
Buildroot: /var/tmp/find-root

%description
The findutils package contains programs which will help you locate files
on your system.  The find utility searches through a hierarchy of
directories looking for files which match a certain set of criteria
(such as a filename pattern).  The locate utility searches a database
(create by updatedb) to quickly find a file matching a given pattern.
The xargs utility builds and executes command lines from standard input
arguments (usually lists of file names generated by the find command).  

You should install findutils because it includes tools that are very useful
for finding things on your system.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0
%ifnarch alpha
%patch3 -p1
%endif

#  alpha sucks --geoff
%ifarch alpha
CFLAGS="-V `/usr/bin/egcs-version` $RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" ./configure --prefix=%{_prefix} --exec-prefix=%{_prefix}
%else
%configure --exec-prefix=%{_prefix}
%endif

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/findutils
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/usr install

{ cd $RPM_BUILD_ROOT
  chmod 755 $RPM_BUILD_ROOT/usr/lib/findutils
  install -d ./etc/cron.daily
  install -m755 %{SOURCE1} ./etc/cron.daily
}

%post
/sbin/install-info /usr/info/find.info.bz2 /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/find.info.bz2 /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
/usr/bin/find
/usr/bin/xargs
/usr/man/man1/find.1*
/usr/man/man1/xargs.1*
/usr/info/find.info*

%changelog
* Thu Apr 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1.1-6mdk
- Don't apply gcc-2.95 patch for alpha.

* Sat Apr 08 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- alpha fix
- fix illegal macro name

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1.1-4mdk
- Merge rh patchs.
- Clean up specs.
- Upgrade groups.

* Wed Nov 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix find on alpha.

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Fri Aug 13 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 4.1.1

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add the xargs patch overflow from RedHat.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Mon Feb  8 1999 Jeff Johnson <jbj@redhat.com>
- remove further updatedb remnants (#1072).

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- added patch for glibc21

* Mon Nov 16 1998 Erik Troan <ewt@redhat.com>
- removed locate stuff (as we now ship slocate)

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- updated updatedb cron script to not look for $TMPNAME.n (which was
  a relic anyway)
- added -b parameters to all of the patches

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Mar 09 1998 Michael K. Johnson <johnsonm@redhat.com>
- make updatedb.cron use mktemp correctly
- make updatedb use mktemp

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- nobody should own tmpfile
- ignore /net

* Wed Nov 05 1997 Michael K. Johnson <johnsonm@redhat.com>
- made updatedb.cron do a better job of cleaning up after itself.

* Tue Oct 28 1997 Donald Barnes <djb@redhat.com>
- fixed 64 bit-ism in getline.c, patch tacked on to end of glibc one

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot support

* Tue Oct 14 1997 Michael K. Johnson <johnsonm@redhat.com>
- made updatedb.cron work even if "nobody" can't read /root
- use mktemp in updatedb.cron

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- added missing info pages
- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built with glibc

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>
- fixed updatedb.cron
